Skip to navigation

Create Git Credential

View as Markdown

Store a git credential for one host. The value is write-only.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

project_idstringRequired

Request

This endpoint expects an object.
hoststringRequired
tokenstringRequiredformat: "^[\x21-\x7e]+$"1-4096 characters
agentIdstring or nullOptional<=128 characters
usernamestringOptionalformat: "^[\x21-\x39\x3b-\x7e]+$"1-256 charactersDefaults to x-access-token

Response

Successful Response
agentIdstring or null
createdAtdouble
grantslist of strings
hoststring
idstring

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error